Skip to main content
The “List Shipping Rate” API allows to retrieve a list of shipping rate.
GET https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

shippingZoneId
string
default:"6578278e879ad2646715ba9c"
required
ID of the item that needs to be returned

Query parameters

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
limit
number
default:"20"
The maximum number of items to be included in a single page of results
offset
number
default:"0"
The starting index of the page, indicating the position from which the results should be retrieved.

Respuestas

total
number
default:"20"
required
Total number of items
data
object[]
required
An array of items
{
  "total": 20,
  "data": [
    {
      "altId": "6578278e879ad2646715ba9c",
      "altType": "account",
      "name": "North zone",
      "description": "Ships next day",
      "currency": "USD",
      "amount": 99.99,
      "conditionType": "price",
      "minCondition": 99.99,
      "maxCondition": 99.99,
      "isCarrierRate": true,
      "shippingCarrierId": "655b33a82209e60b6adb87a5",
      "percentageOfRateFee": 10.99,
      "shippingCarrierServices": [
        {}
      ],
      "_id": "655b33a82209e60b6adb87a5",
      "shippingZoneId": "655b33a82209e60b6adb87a5",
      "createdAt": "2023-12-12T09:27:42.355Z",
      "updatedAt": "2023-12-12T09:27:42.355Z"
    }
  ]
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId/shipping-rate' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId/shipping-rate', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId/shipping-rate',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId/shipping-rate');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);